<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.meeting.mapper.SysPersonMapper">

    <select id="selectUserIdsByPersonIds" resultType="java.util.HashMap">
        select person_id as personId, user_id as userId
        from sys_user_person
        <where>
            <if test="personIds != null and personIds.size() > 0">
                and person_id in
                <foreach collection="personIds" item="id" open="(" separator="," close=")">
                    #{id}
                </foreach>
            </if>
        </where>
    </select>

</mapper>
